## $Id: export.py 10603 2013-09-10 13:15:02Z henrik $
##
## Copyright (C) 2012 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Exporters for applicant-related stuff.
"""
import grok
from waeup.kofa.applicants.interfaces import IApplicantBaseData
from kofacustom.nigeria.applicants.export import NigeriaApplicantsExporter
from kofacustom.nigeria.applicants.interfaces import INigeriaUGApplicant
from waeup.kwarapoly.applicants.interfaces import ICustomUGApplicant

class CustomApplicantsExporter(NigeriaApplicantsExporter):
    """Exporter for Custom Applicants.
    """

    fields = tuple(sorted(set(
        ICustomUGApplicant.names() +
        INigeriaUGApplicant.names() +
        IApplicantBaseData.names()
        ))) + ('container_code',)
